package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type goods struct {
	Product
	create       string `name:"create shop_uid*:select name* info price stock unit" role:"boss"`
	marketInsert string `name:"marketInsert domain_uid* title* content" role:"boss"`
}

func (s goods) Create(m *ice.Message, arg ...string) {
	s.Product.Create(m, kit.Simple(model.PRODUCT_TYPE, ProductGoods, arg)...)
}
func (s goods) List(m *ice.Message, arg ...string) {
	s.Product.List(m.Options(model.PRODUCT_TYPE, kit.Format(ProductGoods)), arg...)
	kit.If(s.IsBoss(m), func() {
		m.PushAction(s.MarketInsert, s.SetShop, s.SetBrand, s.SetQuality, s.Modify, s.Remove)
		if len(arg) == 1 {
			m.Action(s.Create)
			s.Button(m, "")
		}
	})
}

func init() { ice.TeamCtxCmd(goods{}) }
