package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type loan struct {
	Value
	fields string `data:"loan_type,amount,name,info"`
	create string `name:"create loan_type* amount name info" role:"boss"`
	modify string `name:"modify name info amount" role:"boss"`
	list   string `name:"list store_uid uid auto" role:"boss"`
}

func (s loan) Create(m *ice.Message, arg ...string) {
	arg = kit.TransArgKeys(s.transPrice(m, arg...), model.LOAN_TYPE, model.TYPE)
	s.Value.Create(m, kit.Simple(arg, model.TO_USER_UID, m.Option(model.USER_UID))...)
}

func init() { ice.TeamCtxCmd(loan{}) }

type LoanType int

const (
	LoanTerm LoanType = iota
)

var LoanTypeList = map[LoanType]string{
	LoanTerm: "term",
}

func (s LoanType) String() string { return LoanTypeList[s] }
