package guanlixitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/guanlixitong/model"
)

type interview struct {
	Table
	fields string `data:"title,content,address,interview_status,begin_time,end_time,start_time,stop_time,user_uid"`
	create string `name:"create title* content* address* begin_time*@date end_time*@date" role:"leader"`
	remove string `name:"remove" role:"leader"`
	start  string `name:"start" role:"leader"`
	stop   string `name:"stop" role:"leader"`
}

func (s interview) List(m *ice.Message, arg ...string) {
	s.ValueList(m, arg).Table(func(value ice.Maps) {
		switch InterviewStatus(kit.Int(value[model.INTERVIEW_STATUS])) {
		case InterviewCreate:
			m.PushButton(s.Start)
		case InterviewStart:
			m.PushButton(s.Stop)
		case InterviewStop:
			m.PushButton()
		}
	}).Display("").DisplayCSS("")
}
func (s interview) Start(m *ice.Message, arg ...string) {
	s.ChangeStatus(m, m.Option(model.GROUP_UID), m.Option(model.UID), int(InterviewCreate), int(InterviewStart), model.START_TIME, m.Time())
}
func (s interview) Stop(m *ice.Message, arg ...string) {
	s.ChangeStatus(m, m.Option(model.GROUP_UID), m.Option(model.UID), int(InterviewStart), int(InterviewStop), model.STOP_TIME, m.Time())
}

func init() { ice.TeamCtxCmd(interview{}) }

type InterviewStatus int

const (
	InterviewCreate InterviewStatus = iota
	InterviewStart
	InterviewStop
)

var InterviewStatusList = map[InterviewStatus]string{
	InterviewCreate: "create",
	InterviewStart:  "start",
	InterviewStop:   "stop",
}

func (s InterviewStatus) String() string { return InterviewStatusList[s] }
